OCF_HEARTBEAT_SERVER(7)

NAME
ocf_heartbeat_ServeRAID - Enables and disables shared ServeRAID merge groups

SYNOPSIS

ServeRAID [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for ServeRAID. It enables/disables shared ServeRAID merge groups.

SUPPORTED PARAMETERS

serveraid
    The adapter number of the ServeRAID adapter.

    (required, integer, no default)

mergegroup
    The logical drive under consideration.

    (required, integer, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 40s.

stop
    Stops the resource. Suggested minimum timeout: 40s.

status
    Performs a status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

methods
    Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a ServeRAID resource using the crm(8) shell:

    primitive p_ServeRAID ocf:heartbeat:ServeRAID \
      params \
        serveraid=integer \
        mergegroup=integer \
      op monitor depth="0" timeout="20s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a ServeRAID resource using pcs(8)

    pcs resource create p_ServeRAID ocf:heartbeat:ServeRAID \
      serveraid=integer \
      mergegroup=integer \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)